Bug 199747 - [NEW PORT] biology/bcftools: Tools for manipulating next-generation sequencing data
Summary: [NEW PORT] biology/bcftools: Tools for manipulating next-generation sequencin...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://lists.freebsd.org/pipermail/f...
Keywords: feature, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-28 01:38 UTC by cartwright
Modified: 2015-06-05 21:01 UTC (History)
4 users (show)

See Also:


Attachments
patch to add biology/bcftools (10.17 KB, text/plain)
2015-04-28 01:38 UTC, cartwright
no flags Details
poudriere testport log for 10.1 (24.56 KB, text/plain)
2015-04-28 01:38 UTC, cartwright
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description cartwright 2015-04-28 01:38:04 UTC
Created attachment 156059 [details]
patch to add biology/bcftools

BCFtools is a set of utilities that manipulate variant calls in the Variant Call Format (VCF) and its binary counterpart BCF. All commands work transparently with both VCFs and BCFs, both uncompressed and BGZF-compressed.

It is the companion to the biology/samtools and biology/htslib ports that I already maintain.
Comment 1 cartwright 2015-04-28 01:38:45 UTC
Created attachment 156060 [details]
poudriere testport log for 10.1
Comment 2 cartwright 2015-04-28 01:41:47 UTC
I had to do one weird thing and change the LICENSE depending on what options are selected.  I'm not sure if that is okay.
Comment 3 Wen Heping freebsd_committer 2015-04-29 01:55:43 UTC
I would set the LICENSE as :

LICENSE=        MIT GPLv2
LICENSE_COMB=   dual

wen
Comment 4 cartwright 2015-04-29 17:40:48 UTC
From: https://github.com/samtools/bcftools/blob/develop/LICENSE

"""
This software is available to you under a choice of one of two licenses. You
may chose to be licensed under the terms of the MIT/Expat license or the GNU
General Public License (GPL), both included below. If compiled with the GNU
Scientific Library (which is optional and disabled by default as explained in
the INSTALL document), the use of this software is governed by the GPL license.
"""

So I guess by default it is dual licensed, but if the USE_GPL option is enabled (which it is by default), only the GPL license is valid.

So should I make it GPL by default and set it to dual if the option is not selected?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-25 02:29:26 UTC
CC portmgr@, requesting advice/review on conditional LICENSE use:

See reporters question on freebsd-ports:

https://lists.freebsd.org/pipermail/freebsd-ports/2015-May/099262.html
Comment 6 Kurt Jaeger freebsd_committer 2015-05-31 10:00:54 UTC
build-tested on 10.1a, 9.3a, 8.4i. Looks fine.
Comment 7 cartwright 2015-06-04 21:44:43 UTC
No one seems to have any better way of doing it.  Can we just commit this as is?
Comment 8 Kurt Jaeger freebsd_committer 2015-06-05 20:57:23 UTC
Yes. I'll commit it.
Comment 9 commit-hook freebsd_committer 2015-06-05 21:01:28 UTC
A commit references this bug:

Author: pi
Date: Fri Jun  5 21:01:16 UTC 2015
New revision: 388638
URL: https://svnweb.freebsd.org/changeset/ports/388638

Log:
  New port: biology/bcftools

  BCFtools is a set of utilities that manipulate variant calls in the
  Variant Call Format (VCF) and its binary counterpart BCF. All
  commands work transparently with both VCFs and BCFs, both
  uncompressed and BGZF-compressed.

  WWW: http://www.htslib.org/

  PR:		199747
  Submitted by:	cartwright@asu.edu

Changes:
  head/biology/Makefile
  head/biology/bcftools/
  head/biology/bcftools/Makefile
  head/biology/bcftools/distinfo
  head/biology/bcftools/files/
  head/biology/bcftools/files/patch-Makefile
  head/biology/bcftools/files/patch-plugins_fixploidy.mk
  head/biology/bcftools/files/patch-plugins_vcf2sex.mk
  head/biology/bcftools/files/patch-prob1.c
  head/biology/bcftools/files/pkg-message.in
  head/biology/bcftools/pkg-descr
  head/biology/bcftools/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2015-06-05 21:01:47 UTC
Committed, thanks.